## evince 3.36.0

=== meson_options.txt ===
option('platform', type: 'combo', choices: ['gnome', 'win32'], value: 'gnome', description: 'for which platform to build')

option('viewer', type: 'boolean', value: true, description: 'whether Viewer support is requested')
option('previewer', type: 'boolean', value: true, description: 'whether Previewer support is requested')
option('thumbnailer', type: 'boolean', value: true, description: 'whether Thumbnailer support is requested')
option('browser_plugin', type: 'boolean', value: false, description: 'whether Browser Plugin support is requested')
option('nautilus', type: 'boolean', value: true, description: 'whether Nautilus support is requested')

option('comics', type: 'feature', value: 'auto', description: 'whether Comics support is requested')
option('djvu', type: 'feature', value: 'auto', description: 'whether DJVU support is requested')
option('dvi', type: 'feature', value: 'auto', description: 'whether DVI support is requested')
option('pdf', type: 'feature', value: 'auto', description: 'whether PDF support is requested')
option('ps', type: 'feature', value: 'disabled', description: 'whether PS support is requested')
option('tiff', type: 'feature', value: 'auto', description: 'whether TIFF support is requested')
option('xps', type: 'feature', value: 'auto', description: 'whether XPS support is requested')

option('gtk_doc', type: 'boolean', value: true, description: 'whether GTK Doc reference is requested')
option('introspection', type: 'boolean', value: true, description: 'whether introspection support is requested')
option('dbus', type: 'boolean', value: true, description: 'whether DBUS support is requested')
option('keyring', type: 'feature', value: 'auto', description: 'whether keyring support is requested')
option('gtk_unix_print', type: 'feature', value: 'auto', description: 'whether gtk+-unix-print support is requested')
option('thumbnail_cache', type: 'feature', value: 'auto', description: 'whether GNOME Desktop (Thumbnail cache) is requested')
option('multimedia', type: 'feature', value: 'auto', description: 'whether multimedia support is requested')
option('gspell', type: 'feature', value: 'auto', description: 'whether gpsell support is requested')

option('t1lib', type: 'feature', value: 'auto', description: 'whether support of t1lib for type1 fonts in dvi is requested')

option('browser_plugin_dir', type: 'string', value: 'mozilla/plugins', description: 'custom directory for browser plugin')
option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units, or \'no\' to disable')

## evince 2.26.1-0ubuntu1common0sendai2

=== debian/changelog ===
evince (2.26.1-0ubuntu1common0sendai2) jaunty; urgency=low

  * SECURITY UPDATE: fix heap-based buffer overflow
    - debian/patches/92_CVE-2011-0433.patch: add more bounds checking in
      backend/dvi/mdvi-lib/afmparse.c
    - CVE-2011-0433

 -- Jun Kobayashi <kobayashi@junkobayashi.jp>  Wed, 25 Apr 2012 03:58:52 +0900

evince (2.26.1-0ubuntu1common0araneo1) jaunty; urgency=low

  * SECURITY UPDATE: arbitrary code execution via multiple dvi backend
    overflows
    - debian/patches/91_CVE-2010-264x.patch: add bounds checking in
      backend/dvi/mdvi-lib/{afmparse,dviread,pk,tfmfile,vf}.c.
    - CVE-2010-2640
    - CVE-2010-2641
    - CVE-2010-2642
    - CVE-2010-2643

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Fri, 22 Apr 2011 09:00:58 +0900

evince (2.26.1-0ubuntu1) jaunty-proposed; urgency=low

  * New upstream version (lp: #365072):
    Bug fixes:
    - Don't prevent unmounting in case the initial cwd is on an external device 
    - Create and load the document based on the mime-type provided by
      nautilus instead of using our own documents factory.
    - Fix endianess issues in dvi and tiff backends
    - Fix memory leak in tiff backend 
    - Fix path where accels file is saved
    - Fix fading animations 
    - Translate the categories in the nautilus properties tab

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Apr 2009 12:41:49 +0200

evince (2.26.0-0ubuntu1) jaunty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Mar 2009 22:27:28 +0100

evince (2.25.92-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    Bug fixes:
    - Show the 'jump to page' window in the right GdkScreen
    - Make our own thumbnail when the provided one doesn't have the needed size 
    - Reduce the restriction on the minimum size of thumbnails from 40 to 1 
    - Use GOption in thumbnailer 
    - Fix saving a copy of encrypted PDF documents
    - Don't use g_quark_from_static_string in a loadable module
    - Use g_object_unref() instead of gdk_pixbuf_unref() in impress backend 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2009 01:24:05 +0100

evince (2.25.91-0ubuntu1) jaunty; urgency=low

  * New upstream release: (LP: #331233)
    - Fix several memory leaks
    - Fix errors handling and propagation
    - Fix several translation strings in properties dialog
    - Do not resize the window on reloading
    - Experimental introspection support
    - Use g_set_error_literal()
    - Make session manager code compile for win32
    - Update totem-screensaver from totem svn to make it build for win32
    - Make use of GConf optional
    - Fix i18n in libdocument
    - Include gi18n-lib.h instead of gi18n.h in libs and backends
    - Translation updates (ast, be@latin, da, dz, es, et, eu, hu, ja
      kn, mk, nl, pl, pt_BR, sr, sv, th, vi, zh_CN, zh_HK, zh_TW)
  * Add libsm-dev b-d in debian/control.in
  * Adapt debian/patches/01_launchpad.patch to apply to new configure.ac
  * Re-generate debian/control and debian/patches/99_autoconf.patch

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Feb 2009 22:00:49 +0100

evince (2.25.90-0ubuntu1) jaunty; urgency=low

  * New upstream version: (LP: #325015)
    Bug fixes:
     - Split API documentation into libdocument, libview and shell
     - Fix symbols conflict in impress backend
     - Add mnemonics to buttons in search bar
     - Fix a crash when printing
     - Fix --version command line option
     - Use versioned directory for backends
     - Add EV_DEFINE_BOXED_TYPE and EV_DEFINE_INTERFACE macros
     - Sync EggToolbarEditor with libegg
     - Respect directory umask and setgid when saving files
     - Add libtool versioning, pkg-config files and single headers for
       libdocument and libview
     - Remove G_OBJECT casts from g_signal_connect calls
     - Install several missing header files of libdocument and libview
     - Other bugs fixed
    Translation updates (de, et, hu, ko, nb, sv)
  * Adapt debian/watch to take unstable versions
  * debian/control.in:
    - add Vcs-Bzr tag
    - add libgs-dev to fix FTBFS
    - create libevview1, libevview-dev, libevdocument1, libevdocument-dev
      packages
    - remove lpia b-d as debian/03_hildon_interface.patch is deleted
    - regenerate debian/control
  * debian/rules: rm DESTDIR so that debian/tmp is the default and modify
    some .a and .la removal for evince packages
  * add *.install files for new packages and adapt existing one
  * remove debian/03_hildon_interface.patch as requested by the mobile team
  * Re-generate debian/patches/99_autoconf.patch

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 10 Feb 2009 15:24:04 +0100

evince (2.25.5-0ubuntu2) jaunty; urgency=low

  * Rebuild using the new poppler version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Jan 2009 23:46:01 +0100

evince (2.25.5-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    Code changes:
    - Move EvView specific code to a libevview library so that it can
      be embbeded in other applications
    - Other improvements for embbeders
    Bug fixes:
    - Fix a minor typo 
    - Fix the API docs build 
    - Simplify drag data handling 
    - Several portability issues 
    - Fix mnemonic conflict 
    - Other bugs fixed: #567910

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Jan 2009 10:39:43 +0100

evince (2.25.4-0ubuntu2) jaunty; urgency=low

  * debian/control.in:
    - build-depends on libxml2-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Jan 2009 11:36:03 +0100

evince (2.25.4-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    New Features and UI Improvements:
    - Show progress information when loading/saving remote files
      (lp: #273611)
    - Remember page setup options (lp: #224882)
    - Show a confirmation dialog when there are pending print jobs 
      while closing the main window (lp: #139907)
    - Show progress information when printing (lp: #178437)
    - Add document URI to properties page 


=== debian/control ===
Source: evince
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Marc 'HE' Brockschmidt <he@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/evince/ubuntu
Build-Depends: cdbs,
               debhelper (>= 5),
               intltool (>= 0.35.0),
               gnome-pkg-tools (>= 0.10),
               gnome-doc-utils (>= 0.3.2),
               libglib2.0-dev (>= 2.18),
               libgtk2.0-dev (>= 2.12),
               libgconf2-dev,
               liblaunchpad-integration-dev (>= 0.1.17),
               libnautilus-extension-dev,
               libgnome-keyring-dev (>= 2.22),
               libdbus-glib-1-dev (>= 0.33),
               librsvg2-dev (>> 2.14.4-2),
               gnome-icon-theme (>= 2.17.1),
               libxml-parser-perl,
               libxml2-dev,
               scrollkeeper,
               libxt-dev,
               libpoppler-glib-dev (>= 0.8),
               libdjvulibre-dev (>= 3.5.17),
               libkpathsea-dev,
               libtiff4-dev,
               zlib1g-dev,
               autotools-dev,
               libspectre-dev,
               libgs-dev,
               libsm-dev (>= 2:1.1.0)
Standards-Version: 3.8.0
Homepage: http://www.gnome.org/projects/evince/

Package: evince
Conflicts: evince-gtk
Replaces: evince-gtk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-icon-theme (>= 2.17.1),
         shared-mime-info
Recommends: dbus-x11,
            gvfs
Provides: pdf-viewer,
          postscript-viewer,
          djvu-viewer,
          evince-gtk
Suggests: unrar, poppler-data, nautilus
Description: Document (postscript, pdf) viewer
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: evince-dbg
Section: gnome
Architecture: any
Depends: evince (= ${binary:Version})
Description: Document (postscript, pdf) viewer - debugging symbols
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains the debugging symbols needed by gdb.

Package: libevview-dev
Section: libdevel
Architecture: any
Depends: libevview1 (= ${binary:Version})
         libgtk2.0-dev (>= 2.12),
         libglib2.0-dev (>= 2.18)
Description: GNOME document viewer view library - development headers
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains the development headers for libview documentation
 API shared library.

Package: libevview1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: GNOME document viewer view library
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains the libview documentation API shared library.

Package: libevdocument-dev
Section: libdevel
Architecture: any
Depends: libevdocument1 (= ${binary:Version})
         libgtk2.0-dev (>= 2.12),
         libglib2.0-dev (>= 2.18)
Description: GNOME document viewer backend library - development headers
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains the development headers for libdocument documentation
 API shared library.

Package: libevdocument1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: GNOME document viewer backend library
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains the libdocument documentation API shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-scrollkeeper \
			--enable-djvu \
			--enable-dvi \
			--enable-pixbuf \
			--enable-comics \
			--enable-impress

DEB_DH_MAKESHLIBS_ARGS += --exclude=libevince-properties-page.so
DEB_DH_SHLIBDEPS_ARGS_evince += --exclude=libevince-properties-page.so

binary-install/evince::
	rm -rf debian/evince/usr/lib/evince/*/*/*a debian/evince/usr/share/gtk-doc/html/lib*

binary-install/evince-dbg::
	rm -rf debian/evince-dbg/usr/share/doc/evince-dbg
	dh_link -pevince-dbg usr/share/doc/evince usr/share/doc/evince-dbg

binary-post-install/evince::
	# check for missing MIME types
	desktop-check-mime-types

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/evince/([\d\.]+)/evince-([\d\.]+)\.tar\.gz

## evince 2.30.3

=== debian/changelog ===
evince (2.30.3-2+squeeze1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - 02_dvi_security backported from upstream git (439c50 and efadec4f) to 
      complete previous incomplete fix.

 -- Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>  Tue, 29 Nov 2011 14:52:48 +0100

evince (2.30.3-2) unstable; urgency=medium

  * Fix PostScript capitalization. Closes: #591872.
  * 01_dvi_security.patch: security fix from upstream git.
    CVE-2010-2640, CVE-2010-2641, CVE-2010-2642 and  CVE-2010-2643.
    Closes: #609534.

 -- Josselin Mouette <joss@debian.org>  Mon, 10 Jan 2011 19:03:57 +0100

evince (2.30.3-1) unstable; urgency=low

  * Fix description for the GIR package. Closes: #587646.
  * New upstream release.
    + Can open files with # in their name. Closes: #580739.
  * 01_dotdir_crash.patch: dropped, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Wed, 07 Jul 2010 20:31:24 +0200

evince (2.30.1-3) unstable; urgency=low

  * Switch to 3.0 source format.
  * 01_dotdir_crash.patch: stolen upstream. Fix a crash when 
    .gnome2/evince doesn’t exist. Closes: #580647, #583569.

 -- Josselin Mouette <joss@debian.org>  Sat, 29 May 2010 11:15:27 +0200

evince (2.30.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 May 2010 13:53:23 +0200

evince (2.30.1-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/rules:
      - Update shlibs version because of API changes.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Apr 2010 14:27:18 +0200

evince (2.30.0-2) experimental; urgency=low

  * debian/evince.install,
    debian/rules:
    + Ship the evinced and evince-convert-metadata programs.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Apr 2010 16:53:12 +0200

evince (2.30.0-1) experimental; urgency=low

  * New upstream stable release:
    + debian/control.in,
      debian/rules,
      debian/libevince[12].install,
      debian/lintian/libevince[12]:
      - Update for new soname.
    + debian/control.in:
      - Update build dependencies.
    + debian/control.in,
      debian/rules,
      debian/gir1.0-evince-2.30.install,
      debian/libevince-dev.install:
      - Enable GObject-Introspection support.
    + debian/*.mime:
      - Add application/x-cbt.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Apr 2010 06:11:38 +0200

evince (2.28.2-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Dec 2009 14:20:46 +0100

evince (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 21:14:02 +0200

evince (2.28.0-2) unstable; urgency=low

  * Remove the libgs-dev dependency now that libspectre has been fixed.
  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sat, 17 Oct 2009 11:28:54 +0200

evince (2.28.0-1) experimental; urgency=low

  * New upstream release.
  * Disable D-Bus in the GTK+ build.
  * Add missing -dev dependencies.
  * Bump shlibs for libevince1.
  * 01_fix_last_page_in_presentations.patch, 60_gzdvi-support.patch: 
    dropped, merged upstream.
  * Add build-dependency on libgs-dev because of the broken 
    libspectre.la.

 -- Josselin Mouette <joss@debian.org>  Fri, 25 Sep 2009 19:06:36 +0200

evince (2.26.2-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/60_gzdvi-support.patch: forwarded, add headers.
  * debian/patches/01_fix_last_page_in_presentations.patch: Backport
    change from upstream to fix last page in presentation mode being
    skipped. Closes: #537156.
  * Standards-Version is 3.8.2, no changes needed.
  * evince-gtk shouldn't be in the gnome section. Closes: #528467.

 -- Josselin Mouette <joss@debian.org>  Sat, 15 Aug 2009 10:56:01 +0200

evince (2.26.2-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Split libevince1, libevince-dev and libevince-doc to expose evince
      rendering and widgets development API.
      These packages include libevdocument and libevview libraries.
    - Split evince-backends which files are shared by evince and evince-gtk
      binary packages.
    - Split evince-common containing platform-independent files shared between
      evince and evince-gtk packages.
  * debian/evince.manpages, debian/evince-gtk.manpages:
    - Moved to evince-common.manpages as they shared the evince-thumbnailer
      manpage and because evince manpage is installed by evince-common.
  * debian/rules:
    - Install under debian/tmp by default.
    - Enable gtk-doc, added install rule for evince-common to delete gtk-doc
      files.
    - Link evince and evince-gtk docs to evince-common docs.
  * debian/lintian/{evince-backends, evince-common, libevince1, libevince-dev,
    libevince-doc}:
    - Added.

  [ Josselin Mouette ]
  * Don’t install any .la’s, and only the relevant .a’s.
  * Use ${gnome:Depends}.
  * Remove evince-gtk-dbg, the differences with evince are minor now and 
    it will not work with the backends. Let’s hope the build-ids come 
    soon to fix that mess.
  * Don’t split the docs, given their size.
  * Ship the backends with the library; the library needs them anyway, 
    and they are in a correctly versioned directory.
  * Install evince-thumbnailer.1 in evince-common.
  * Install the XPM in evince-common.
  * Fixup some dependencies.
  * Don’t use symlinks for /usr/share/doc, it would require the 
    postinst dance.
  * Correctly remove the doc from evince-common.

 -- Josselin Mouette <joss@debian.org>  Wed, 10 Jun 2009 22:41:12 +0200

evince (2.26.1-2) unstable; urgency=low

  * Update build dependencies to the current version. Closes: #528717.
  * Enable t1lib support.

 -- Josselin Mouette <joss@debian.org>  Fri, 15 May 2009 01:53:41 +0200

evince (2.26.1-1) unstable; urgency=low

  [ Josselin Mouette ]


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: evince
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs,
               debhelper (>= 5),
               intltool (>= 0.35.0),
               gnome-pkg-tools (>= 0.10),
               gnome-doc-utils (>= 0.3.2),
               gtk-doc-tools (>= 1.0),
               libdbus-glib-1-dev (>= 0.70),
               libx11-dev,
               libgtk2.0-dev (>= 2.14.0),
               libglib2.0-dev (>= 2.18.0),
               libgnome-keyring-dev (>= 2.22.0),
               gnome-icon-theme (>= 2.17.1),
               libxml2-dev (>= 2.5.0),
               libsm-dev (>= 2:1.0.0),
               libgconf2-dev,
               zlib1g-dev,
               libnautilus-extension-dev,
               libpoppler-glib-dev (>= 0.12.0),
               libspectre-dev (>= 0.2.0),
               libtiff4-dev,
               libdjvulibre-dev (>= 3.5.17),
               libkpathsea-dev,
               libt1-dev,
               autotools-dev,
               libgirepository1.0-dev (>= 0.6.7),
               gobject-introspection (>= 0.6.7),
               gir-repository-dev,
               gir1.0-glib-2.0,
               gir1.0-gtk-2.0
Standards-Version: 3.8.4
Homepage: http://www.gnome.org/projects/evince/

Package: evince
Conflicts: evince-gtk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libevince2 (= ${binary:Version}),
         evince-common (>= ${gnome:Version}),
         evince-common (<< ${gnome:NextVersion}),
         gnome-icon-theme (>= 2.17.1),
         shared-mime-info
Recommends: dbus-x11,
            gvfs
Provides: pdf-viewer,
          postscript-viewer,
          djvu-viewer
Suggests: unrar, poppler-data, nautilus
Description: Document (PostScript, PDF) viewer
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: evince-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         evince (= ${binary:Version}),
         libevince2 (= ${binary:Version})
Description: Document (PostScript, PDF) viewer - debugging symbols
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains the debugging symbols needed by gdb.

Package: evince-gtk
Section: x11
Conflicts: evince
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libevince2 (= ${binary:Version}),
         evince-common (>= ${gnome:Version}),
         evince-common (<< ${gnome:NextVersion}),
         gnome-icon-theme (>= 2.17.1),
         shared-mime-info
Recommends: dbus-x11
Provides: pdf-viewer,
          postscript-viewer,
          djvu-viewer
Suggests: gvfs, unrar, poppler-data, nautilus
Description: Document (PostScript, PDF) viewer (GTK+ version)
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This version of evince is built without GConf and GNOME keyring 
 support.

Package: evince-common
Architecture: all
Depends: ${misc:Depends}
Replaces: evince (<< 2.26.2), evince-gtk (<< 2.26.2)
Description: Document (PostScript, PDF) viewer - common files
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains shared files for evince and evince-gtk packages.

Package: libevince2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: evince (<< 2.26.2), evince-gtk (<< 2.26.2)
Description: Document (PostScript, PDF) rendering library
 This package contains evince-related libraries for rendering and displaying
 Evince documents like PostScript (PS), Encapsulated PostScript (EPS), DJVU,
 DVI and Portable Document Format (PDF) files.
 * libevdocument, which performs the rendering of the documents
 * libevview, which provides GTK+ widgets for displaying documents
 .
 It is shipped with the ps, pdf, dvi, impress, tiff, djvu, comics and
 pixbuf backends.

Package: libevince-dev
Architecture: any
Section: libdevel
Depends: libevince2 (= ${binary:Version}),
         ${misc:Depends},
         libgtk2.0-dev (>= 2.14.0),
         libglib2.0-dev (>= 2.18.0)
Replaces: evince (<< 2.26.2), evince-gtk (<< 2.26.2)
Description: Document (PostScript, PDF) rendering library - development files
 This package contains evince-related libraries for rendering and displaying
 Evince documents like PostScript (PS), Encapsulated PostScript (EPS), DJVU,
 DVI and Portable Document Format (PDF) files.
 * libevdocument, which performs the rendering of the documents
 * libevview, which provides GTK+ widgets for displaying documents
 .
 This package provides the development headers, static libraries and 
 documentation.

Package: gir1.0-evince-2.30
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: gir1.0-evince-document-2.30,
          gir1.0-evince-view-2.30
Description: GObject introspection data for the libevince library
 This package contains introspection data for the libevince library.
 .
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
 Document Format (PDF) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_BUILDDIR := $(CURDIR)/debian/build/evince
DEB_BUILDDIR_evince-gtk := $(CURDIR)/debian/build/evince-gtk
DEB_DESTDIR_evince-gtk := $(CURDIR)/debian/evince-gtk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-scrollkeeper \
			--enable-gtk-doc \
			--enable-djvu \
			--enable-dvi \
			--enable-t1lib \
			--enable-pixbuf \
			--enable-comics \
			--enable-impress \
			--enable-introspection=yes

DEB_DH_MAKESHLIBS_ARGS += --exclude=libevince-properties-page.so \
	-V'libevince2 (>= 2.30.1)'

#cdbs should do this, but doesn't (see #424636)
clean::
	rm -rf $(DEB_BUILDDIR) $(DEB_BUILDDIR_evince-gtk)

configure/evince-gtk:: $(DEB_BUILDDIR_evince-gtk)/config.status
$(DEB_BUILDDIR_evince-gtk)/config.status:
	cd $(DEB_BUILDDIR_evince-gtk) && \
		$(DEB_CONFIGURE_SCRIPT_ENV) $(DEB_CONFIGURE_SCRIPT) \
			$(DEB_CONFIGURE_NORMAL_ARGS) \
			$(cdbs_configure_flags) \
			$(DEB_CONFIGURE_EXTRA_FLAGS) \
			--without-keyring \
			--without-gconf \
			--disable-nautilus \
			--disable-dbus \
			--enable-introspection=no \
			--disable-gtk-doc \
			$(DEB_CONFIGURE_USER_FLAGS)

build/evince-gtk::
	make -C $(DEB_BUILDDIR_evince-gtk)

install/evince-gtk::
	make -C $(DEB_BUILDDIR_evince-gtk) install DESTDIR=$(DEB_DESTDIR_evince-gtk)
	rm -rf debian/evince-gtk/usr/share \
		debian/evince-gtk/etc \
		debian/evince-gtk/usr/include
	rm -rf debian/evince-gtk/usr/lib/lib*
	rm -rf debian/evince-gtk/usr/lib/nautilus
	rm -rf debian/evince-gtk/usr/lib/pkgconfig
	rm -rf debian/evince-gtk/usr/lib/girepository*
	rm -rf debian/evince-gtk/usr/lib/evince/2

binary-install/evince-common::
	rm -rf debian/evince-common/usr/share/gtk-doc

binary-post-install/evince::
	# check for missing MIME types
	desktop-check-mime-types

common-binary-fixup-arch::
	dh_girepository -pgir1.0-evince-2.30

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/evince/([\d\.]+)[02468]/evince-([\d\.]+)\.tar\.gz

## evince 2.32.0

=== debian/changelog ===
evince (2.32.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/02_link_ice.patch.
  * debian/patches/03_dvi_security_CVE-2010-0433.patch:
    - Fix another buffer overflow in the dvi-backend. CVE-2010-0433
      Patch cherry-picked from upstream Git. Closes: #614668
  * debian/control.in
    - Drop Build-Depends on libdbus-glib-1-dev (ported to GDBus).
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.21.5).
    - Bump Build-Depends on libglib2.0-dev to (>= 2.25.11).
    - Bump Build-Depends on libpoppler-glib-dev to (>= 0.14.0).
    - Add Build-Depends on libcairo2-dev (>= 1.9.10) and
      libgail-dev (>= 2.21.5).
    - Bump Standards-Version to 3.9.2. No further changes.
  * Update libevince for soname bump from 2 → 3.
  * debian/evince-common.install:
    - Install gsettings schemas and gconf conversion script.
  * debian/patches/06_new_poppler_api_update.patch
    - Update pdf_document_get_info to new poppler API. Patch cherry-picked
      from upstream Git.
  * Bump debhelper compatibility level to 7.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/watch: Switch to .bz2 tarballs.
  * Use dh_lintian to install the override files.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Jun 2011 01:29:48 +0200

evince (2.30.3-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix indentation in package description. Closes: #609770.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Don't put evince-gtk's debugging symbols in evince-dbg, as they
      clash with those from evince itself. Closes: #610856.
  * Remove gir1.0-evince-2.30 since nothing uses it, to ease the gir1.2
    transition.
  * debian/patches/02_link_ice.patch:
    - Link against libICE since eggsmclient uses it.
  * Use dh-autoreconf for the above patch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Feb 2011 21:22:17 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
-               debhelper (>= 5),
+               debhelper (>= 7),
+               dh-autoreconf,
                intltool (>= 0.35.0),
                gnome-pkg-tools (>= 0.10),
                gnome-doc-utils (>= 0.3.2),
                gtk-doc-tools (>= 1.0),
-               libdbus-glib-1-dev (>= 0.70),
                libx11-dev,
-               libgtk2.0-dev (>= 2.14.0),
-               libglib2.0-dev (>= 2.18.0),
+               libcairo2-dev (>= 1.9.10),
+               libgtk2.0-dev (>= 2.21.5),
+               libglib2.0-dev (>= 2.25.11),
+               libgail-dev (>= 2.21.5),
                libgnome-keyring-dev (>= 2.22.0),
                gnome-icon-theme (>= 2.17.1),
                libxml2-dev (>= 2.5.0),
@@ -25,19 +27,14 @@
                libgconf2-dev,
                zlib1g-dev,
                libnautilus-extension-dev,
-               libpoppler-glib-dev (>= 0.12.0),
+               libpoppler-glib-dev (>= 0.14.0),
                libspectre-dev (>= 0.2.0),
                libtiff4-dev,
                libdjvulibre-dev (>= 3.5.17),
                libkpathsea-dev,
                libt1-dev,
-               autotools-dev,
-               libgirepository1.0-dev (>= 0.6.7),
-               gobject-introspection (>= 0.6.7),
-               gir-repository-dev,
-               gir1.0-glib-2.0,
-               gir1.0-gtk-2.0
-Standards-Version: 3.8.4
+               autotools-dev
+Standards-Version: 3.9.2
 Homepage: http://www.gnome.org/projects/evince/
 
 Package: evince
@@ -45,7 +42,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libevince2 (= ${binary:Version}),
+         libevince3 (= ${binary:Version}),
          evince-common (>= ${gnome:Version}),
          evince-common (<< ${gnome:NextVersion}),
          gnome-icon-theme (>= 2.17.1),
@@ -70,7 +67,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          evince (= ${binary:Version}),
-         libevince2 (= ${binary:Version})
+         libevince3 (= ${binary:Version})
 Description: Document (PostScript, PDF) viewer - debugging symbols
  Evince is a simple multi-page document viewer.  It can display and print
  PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
@@ -87,7 +84,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libevince2 (= ${binary:Version}),
+         libevince3 (= ${binary:Version}),
          evince-common (>= ${gnome:Version}),
          evince-common (<< ${gnome:NextVersion}),
          gnome-icon-theme (>= 2.17.1),
@@ -122,7 +119,7 @@
  .
  This package contains shared files for evince and evince-gtk packages.
 
-Package: libevince2
+Package: libevince3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -132,8 +129,8 @@
  This package contains evince-related libraries for rendering and displaying
  Evince documents like PostScript (PS), Encapsulated PostScript (EPS), DJVU,
  DVI and Portable Document Format (PDF) files.
- * libevdocument, which performs the rendering of the documents
- * libevview, which provides GTK+ widgets for displaying documents
+  * libevdocument, which performs the rendering of the documents
+  * libevview, which provides GTK+ widgets for displaying documents
  .
  It is shipped with the ps, pdf, dvi, impress, tiff, djvu, comics and
  pixbuf backends.
@@ -141,7 +138,7 @@
 Package: libevince-dev
 Architecture: any
 Section: libdevel
-Depends: libevince2 (= ${binary:Version}),
+Depends: libevince3 (= ${binary:Version}),
          ${misc:Depends},
          libgtk2.0-dev (>= 2.14.0),
          libglib2.0-dev (>= 2.18.0)
@@ -155,25 +152,3 @@
  .
  This package provides the development headers, static libraries and 
  documentation.
-
-Package: gir1.0-evince-2.30
-Section: libs
-Architecture: any
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Provides: gir1.0-evince-document-2.30,
-          gir1.0-evince-view-2.30
-Description: GObject introspection data for the libevince library
- This package contains introspection data for the libevince library.
- .
- Evince is a simple multi-page document viewer.  It can display and print
- PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
- Document Format (PDF) files.
- When supported by the document, it also allows searching for text,
- copying text to the clipboard, hypertext navigation, and
- table-of-contents bookmarks.
- .
- It can be used by packages using the GIRepository format to generate
- dynamic bindings.
-

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 DEB_BUILDDIR := $(CURDIR)/debian/build/evince
 DEB_BUILDDIR_evince-gtk := $(CURDIR)/debian/build/evince-gtk
@@ -17,11 +18,12 @@
 			--enable-t1lib \
 			--enable-pixbuf \
 			--enable-comics \
-			--enable-impress \
-			--enable-introspection=yes
+			--enable-impress
 
 DEB_DH_MAKESHLIBS_ARGS += --exclude=libevince-properties-page.so \
-	-V'libevince2 (>= 2.30.1)'
+	-V'libevince3 (>= 2.32.0)'
+
+DEB_DH_STRIP_ARGS_evince-gtk = --dbg-package=
 
 #cdbs should do this, but doesn't (see #424636)
 clean::
@@ -38,7 +40,7 @@
 			--without-gconf \
 			--disable-nautilus \
 			--disable-dbus \
-			--enable-introspection=no \
+			--disable-introspection \
 			--disable-gtk-doc \
 			$(DEB_CONFIGURE_USER_FLAGS)
 
@@ -53,8 +55,7 @@
 	rm -rf debian/evince-gtk/usr/lib/lib*
 	rm -rf debian/evince-gtk/usr/lib/nautilus
 	rm -rf debian/evince-gtk/usr/lib/pkgconfig
-	rm -rf debian/evince-gtk/usr/lib/girepository*
-	rm -rf debian/evince-gtk/usr/lib/evince/2
+	rm -rf debian/evince-gtk/usr/lib/evince
 
 binary-install/evince-common::
 	rm -rf debian/evince-common/usr/share/gtk-doc
@@ -62,7 +63,3 @@
 binary-post-install/evince::
 	# check for missing MIME types
 	desktop-check-mime-types
-
-common-binary-fixup-arch::
-	dh_girepository -pgir1.0-evince-2.30
-

## evince 3.0.2

=== debian/changelog ===
evince (3.0.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * bug-presubj: please document where to report rendering bugs.
  * evince.mime: dropped. We have desktop files to handle MIME 
    associations, no need to maintain an alternate system by hand.
    Closes: #619564, #627027, #551734, #581441.

  [ Sebastien Bacher ]
  * debian/evince-commin.install: install the thumbnailer entry

  [ Michael Biebl ]
  * New upstream release.
  * debian/patches/01_configure-gdk-targets.patch: Update configure check for
    smclient support. With GDK 3.0 the target variable was renamed to targets.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Jun 2011 02:58:49 +0200

evince (3.0.0-3) experimental; urgency=low

  [ Josselin Mouette ]
  * Drop unneeded build-dependency on gir-repository-dev.

 -- Frederic Peters <fpeters@debian.org>  Wed, 20 Apr 2011 08:15:04 +0200

evince (3.0.0-2) experimental; urgency=low

  * debian/control.in: add dependency on gsettings-desktop-schemas

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Apr 2011 16:20:57 +0200

evince (3.0.0-1) experimental; urgency=low

  * New upstream release.

  [ Josselin Mouette ]
  * Fix indentation in package description. Closes: #609770.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Don't put evince-gtk's debugging symbols in evince-dbg, as they
      clash with those from evince itself. Closes: #610856.

  [ Frederic Peters ]
  * debian/control.in:
    + Update list of build dependencies for new release.
    + Make the -dev package depend on the gir package.
    + Add build-dependency on dh-autoreconf.
    + Update libevince3-3 description to note the removal of the pixbuf and
      impress backends.
    + Update evince-gtk description as evince doesn't depend on GConf.
  * debian/rules:
    + include dh-autoreconf
    + update configure flags (pixbuf and impress backends have been removed).
  * debian/patches/01_dvi_security.patch: removed, upstream.
  * debian/patches/00_gir-libdocument-library-path.patch: fix call to
    g-ir-scanner to make it find libdocument3.
  * debian/evince-common.install: install GSettings schemas.

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Apr 2011 15:28:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 7),
                dh-autoreconf,
@@ -16,24 +16,28 @@
                gnome-doc-utils (>= 0.3.2),
                gtk-doc-tools (>= 1.0),
                libx11-dev,
-               libcairo2-dev (>= 1.9.10),
-               libgtk2.0-dev (>= 2.21.5),
-               libglib2.0-dev (>= 2.25.11),
-               libgail-dev (>= 2.21.5),
+               libcairo2-dev (>= 1.10.0),
+               libgtk-3-dev (>= 3.0.2),
+               libgail-3-dev (>= 3.0.2),
+               libglib2.0-dev (>= 2.25.1),
                libgnome-keyring-dev (>= 2.22.0),
                gnome-icon-theme (>= 2.17.1),
                libxml2-dev (>= 2.5.0),
                libsm-dev (>= 2:1.0.0),
-               libgconf2-dev,
                zlib1g-dev,
-               libnautilus-extension-dev,
-               libpoppler-glib-dev (>= 0.14.0),
+               libnautilus-extension-dev (>= 2.91.4),
+               libpoppler-glib-dev (>= 0.16.0),
                libspectre-dev (>= 0.2.0),
                libtiff4-dev,
                libdjvulibre-dev (>= 3.5.17),
                libkpathsea-dev,
                libt1-dev,
-               autotools-dev
+               autotools-dev,
+               gobject-introspection (>= 0.9.12-4~),
+               libgirepository1.0-dev (>= 0.9.12),
+               gir1.2-glib-2.0,
+               gir1.2-gtk-3.0,
+               gsettings-desktop-schemas-dev
 Standards-Version: 3.9.2
 Homepage: http://www.gnome.org/projects/evince/
 
@@ -42,7 +46,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libevince3 (= ${binary:Version}),
+         libevince3-3 (= ${binary:Version}),
          evince-common (>= ${gnome:Version}),
          evince-common (<< ${gnome:NextVersion}),
          gnome-icon-theme (>= 2.17.1),
@@ -67,7 +71,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          evince (= ${binary:Version}),
-         libevince3 (= ${binary:Version})
+         libevince3-3 (= ${binary:Version})
 Description: Document (PostScript, PDF) viewer - debugging symbols
  Evince is a simple multi-page document viewer.  It can display and print
  PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
@@ -84,7 +88,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libevince3 (= ${binary:Version}),
+         libevince3-3 (= ${binary:Version}),
          evince-common (>= ${gnome:Version}),
          evince-common (<< ${gnome:NextVersion}),
          gnome-icon-theme (>= 2.17.1),
@@ -102,12 +106,12 @@
  copying text to the clipboard, hypertext navigation, and
  table-of-contents bookmarks.
  .
- This version of evince is built without GConf and GNOME keyring 
- support.
+ This version of evince is built without GNOME keyring support.
 
 Package: evince-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         gsettings-desktop-schemas
 Replaces: evince (<< 2.26.2), evince-gtk (<< 2.26.2)
 Description: Document (PostScript, PDF) viewer - common files
  Evince is a simple multi-page document viewer.  It can display and print
@@ -119,7 +123,7 @@
  .
  This package contains shared files for evince and evince-gtk packages.
 
-Package: libevince3
+Package: libevince3-3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -132,16 +136,16 @@
   * libevdocument, which performs the rendering of the documents
   * libevview, which provides GTK+ widgets for displaying documents
  .
- It is shipped with the ps, pdf, dvi, impress, tiff, djvu, comics and
- pixbuf backends.
+ It is shipped with the ps, pdf, dvi, tiff, djvu, comics pixbuf backends.
 
 Package: libevince-dev
 Architecture: any
 Section: libdevel
-Depends: libevince3 (= ${binary:Version}),
+Depends: libevince3-3 (= ${binary:Version}),
          ${misc:Depends},
-         libgtk2.0-dev (>= 2.14.0),
-         libglib2.0-dev (>= 2.18.0)
+         libgtk-3-dev (>= 3.0.2),
+         libglib2.0-dev (>= 2.25.1),
+         gir1.2-evince-3.0
 Replaces: evince (<< 2.26.2), evince-gtk (<< 2.26.2)
 Description: Document (PostScript, PDF) rendering library - development files
  This package contains evince-related libraries for rendering and displaying
@@ -152,3 +156,25 @@
  .
  This package provides the development headers, static libraries and 
  documentation.
+
+Package: gir1.2-evince-3.0
+Section: libs
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: gir1.2-evince-document-3.0,
+          gir1.2-evince-view-3.0
+Description: GObject introspection data for the libevince library
+ This package contains introspection data for the libevince library.
+ .
+ Evince is a simple multi-page document viewer.  It can display and print
+ PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and Portable
+ Document Format (PDF) files.
+ When supported by the document, it also allows searching for text,
+ copying text to the clipboard, hypertext navigation, and
+ table-of-contents bookmarks.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,11 @@
 			--enable-djvu \
 			--enable-dvi \
 			--enable-t1lib \
-			--enable-pixbuf \
 			--enable-comics \
-			--enable-impress
+			--enable-introspection
 
 DEB_DH_MAKESHLIBS_ARGS += --exclude=libevince-properties-page.so \
-	-V'libevince3 (>= 2.32.0)'
+	-V'libevince3-3 (>= 3.0.0)'
 
 DEB_DH_STRIP_ARGS_evince-gtk = --dbg-package=
 
@@ -37,9 +36,7 @@
 			$(cdbs_configure_flags) \
 			$(DEB_CONFIGURE_EXTRA_FLAGS) \
 			--without-keyring \
-			--without-gconf \
 			--disable-nautilus \
-			--disable-dbus \
 			--disable-introspection \
 			--disable-gtk-doc \
 			$(DEB_CONFIGURE_USER_FLAGS)
@@ -55,7 +52,8 @@
 	rm -rf debian/evince-gtk/usr/lib/lib*
 	rm -rf debian/evince-gtk/usr/lib/nautilus
 	rm -rf debian/evince-gtk/usr/lib/pkgconfig
-	rm -rf debian/evince-gtk/usr/lib/evince
+	rm -rf debian/evince-gtk/usr/lib/girepository*
+	rm -rf debian/evince-gtk/usr/lib/evince/3
 
 binary-install/evince-common::
 	rm -rf debian/evince-common/usr/share/gtk-doc
@@ -63,3 +61,7 @@
 binary-post-install/evince::
 	# check for missing MIME types
 	desktop-check-mime-types
+
+common-binary-fixup-arch::
+	dh_girepository -pgir1.2-evince-3.0
+
